FROM {{ namespace }}/{{ image_prefix }}prometheus-base:{{ tag }}
{% block labels %}
LABEL maintainer="{{ maintainer }}" name="{{ image_name }}" build-date="{{ build_date }}"
{% endblock %}

{% block node_exporter_header %}{% endblock %}

{% block node_exporter_repository_version %}
ENV node_exporter_version=0.18.1
{% endblock %}

{% block node_exporter_install %}
RUN curl -o /tmp/node_exporter.tar.gz https://github.com/prometheus/node_exporter/releases/download/v${node_exporter_version}/node_exporter-${node_exporter_version}.linux-{{debian_arch}}.tar.gz \
    && tar xvf /tmp/node_exporter.tar.gz -C /opt/ \
    && rm -f /tmp/node_exporter.tar.gz \
    && ln -s /opt/node_exporter* /opt/node_exporter
{% endblock %}

{% block node_exporter_footer %}{% endblock %}
{% block footer %}{% endblock %}

USER prometheus
